ZXBClientCommands = {}
ZXBClientCommands.switchAmmo = function(args)
	local handItem = getPlayer():getPrimaryHandItem();
	if not handItem then return end
	handItem:getModData().loadedAmmo = args.ammo;
end
ZXBClientCommands.updateHitTracker = function(args)	
    ZXBevents:updateHitTracker(args.zedId, args.ammo);
    getPlayer():getPrimaryHandItem():getModData().lastHitZedId = nil;
end

ZXBClientCommands.OnClientCommand = function(module, command, player, args)
	if not isServer() then return end
	if ZXBconfig.debug then
		print("ClientCommand received: "..command);			
	end
	if module ~= "ZXB" then return end;
  	ZXBClientCommands[command](args);
end
Events.OnClientCommand.Add(ZXBClientCommands.OnClientCommand);

